Bug 11766 - iBCS won't auto-load when running an SCO binary
Summary: iBCS won't auto-load when running an SCO binary
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: modutils (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-30 19:08 UTC by vek
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-06 15:22:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description vek 2000-05-30 19:08:03 UTC
When running an SCO binary that requires the iBCS module to
be loaded, this moule will no longer be automatically loaded
as it used to with RH5.x.

In fs/exec.c where the request_module is called for the missing
module the format of the name has been changed sometime since
kernel version 2.0.x, and the default module configuration has
not been updated to reflect this.  Actualy, when the binfmt module
is request it is now using the third and fourth byte in the object file
as "magic" number, but that would be incorrect for any for the SCO
COFF files where the magic number is the very first two bytes of
the executable file.

The module used to be requested by the name "binfmt-332" when
using kernel 2.0.x.  Now it is requested by the name "binfmt-0004",
but 0004 is not magic for this file format, it is the number of
segments contained in the object file.

This might affect linux a.out formats as well, but I havn't checked.

Villy

Comment 1 vek 2000-06-06 15:22:42 UTC


Bug 7640 appears to be the same as this one, except for the
old a.out binaries instead of old SCO binaries.

Villy



Comment 2 Bill Nottingham 2001-07-06 22:39:14 UTC
This is fixed in the current modutils package, and appears to have been fixed
for a while.


Note You need to log in before you can comment on or make changes to this bug.